Get a user's ID
get
/ec-auth-svc/rest/v1.0/userids/{username}
Retrieves the ID of a user based on the user name.
Request
Path Parameters
-
username(required): string
Username for which the id has to be fetched.Example:
jsmith
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
stringExamples
400 Response
Bad request
Root Schema : AuthResponse
Type:
objectGeneric API response wrapper containing result, error data, response version and status.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result data of the API response; actual type depends on the API
-
status: string
(none)
Indicates request success ("success") or failure ("failure").Example:
success -
version: integer
(int32)
Version of the response schema.Example:
1
Nested Schema : result
Type:
objectResult data of the API response; actual type depends on the API
Example:
oracle.doceng.json.BetterJsonNull@1466a41fNested Schema : details
Type:
object